#include <stdio.h>

#define N 5
#define FAIL 1
#define SUCCESS 0

int main(){
	int i,j;
	int count=0;
	char matr[N][N];
	/* Inizializzazione */
	for(i=0; i<N; i++) 
		for(j=0; j<N; j++)
			matr[i][j]='*';
	/* Lettura della matrice */
	for(i=0; i<N; i++) 
		for(j=0; j<N; j++){
			/* printf("Inserisci un carattere: "); */
			scanf("%c", &matr[i][j]);
			/* fflush(stdin); */
	}
	/* Stampa della matrice letta */
	for(i=0; i<N; i++) {
		for(j=0; j<N; j++)
			printf("[%d,%d]=%c ",i,j, matr[i][j]);
		printf("\n");	
	}

	/* Controllo */
	for(i=0; i<N; i++)
		for(j=0; j<N; j++)
			if(matr[i][j]!=matr[N-1-i][N-1-j]) {
				printf("Il quadrato non e' magico: %c != %c\n",
					matr[i][j], matr[N-1-i][N-1-j]
				);
				count++;
			}	
	/* Rapporto sul risultato */
	if (count==0)		
		printf("Il quadrato e' magico\n");
	else
		printf("Rilevate %d differenze\n", count);
	return SUCCESS;	
}
